package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum ContractStatus {
	CREATE(0, "草稿"),
	SIGN(1,"签订"),
	CIRCULATION(2,"分发流转"),
	COMPLETE(3, "完成(已结款)"),
	OTHER(4, "其他");

	private ContractStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, ContractStatus> status = new HashMap<Integer, ContractStatus>();

	static {
		for (ContractStatus value : ContractStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static ContractStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static ContractStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
}
